Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.smardec.asc.xmlbars.menubar
Class JIconicCheckBoxMenuItem

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.AbstractButton
                              |
                              +--javax.swing.JMenuItem
                                    |
                                    +--com.smardec.asc.xmlbars.menubar.JIconicCheckBoxMenuItem

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.ItemSelectable, java.awt.MenuContainer, javax.swing.MenuElement, java.io.Serializable, javax.swing.SwingConstants

public class JIconicCheckBoxMenuItem
extends javax.swing.JMenuItem

`JIconicCheckBoxMenuItem` is menu item that can be selected or unselected. It is similar to default `JCheckBoxMenuItem`, but uses graphic icons instead of checkmark to indicate selected/unselected state. See `setSelectedStateIcon(javax.swing.Icon)` and `setUnselectedStateIcon(javax.swing.Icon)` for details. Its selected state is synchronized with the action.
Also it overrides default parent menu behaviour after mouse click. It can be useful if you need to change several checkbox menu items at one time. See `isHideMenuOnMouseClick()` and `setHideMenuOnMouseClick(boolean)` for details.

Field Summary

Fields inherited from class javax.swing.AbstractButton
`actionListener, BORDER_PAINTED_CHANGED_PROPERTY, changeEvent, changeListener, CONTENT_AREA_FILLED_CHANGED_PROPERTY, DISABLED_ICON_CHANGED_PROPERTY, DISABLED_SELECTED_ICON_CHANGED_PROPERTY, FOCUS_PAINTED_CHANGED_PROPERTY, HORIZONTAL_ALIGNMENT_CHANGED_PROPERTY, HORIZONTAL_TEXT_POSITION_CHANGED_PROPERTY, ICON_CHANGED_PROPERTY, itemListener, MARGIN_CHANGED_PROPERTY, MNEMONIC_CHANGED_PROPERTY, model, MODEL_CHANGED_PROPERTY, PRESSED_ICON_CHANGED_PROPERTY, ROLLOVER_ENABLED_CHANGED_PROPERTY, ROLLOVER_ICON_CHANGED_PROPERTY, ROLLOVER_SELECTED_ICON_CHANGED_PROPERTY, SELECTED_ICON_CHANGED_PROPERTY, TEXT_CHANGED_PROPERTY, VERTICAL_ALIGNMENT_CHANGED_PROPERTY, VERTICAL_TEXT_POSITION_CHANGED_PROPERTY`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NEXT, NORTH, NORTH_EAST, NORTH_WEST, PREVIOUS, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`JIconicCheckBoxMenuItem()` Creates an initially unselected check box menu item with no set text.
`JIconicCheckBoxMenuItem(javax.swing.Action a)` Creates a menu item whose properties are taken from the Action supplied.
`JIconicCheckBoxMenuItem(java.lang.String text)` Creates an initially unselected check box menu item with text.
`JIconicCheckBoxMenuItem(java.lang.String text, boolean b)` Creates a check box menu item with the specified text and selection state.
`JIconicCheckBoxMenuItem(java.lang.String text, javax.swing.Icon selectedIcon, javax.swing.Icon unselectedIcon)` Creates an initially unselected check box menu item with the specified text, selected and unselected icons.
`JIconicCheckBoxMenuItem(java.lang.String text, javax.swing.Icon selectedIcon, javax.swing.Icon unselectedIcon, boolean b)` Creates a check box menu item with the specified text, selected and unselected icons and selection state.

Method Summary
`java.lang.Object[]` | `getSelectedObjects()` Returns an array (length 1) containing the check box menu item label or null if the check box is not selected.
`javax.swing.Icon` | `getSelectedStateIcon()` Returns the icon that indicates selected state of this `JIconicCheckBoxMenuItem`.
`boolean` | `getState()` Returns the selected-state of the item.
`javax.swing.Icon` | `getUnselectedStateIcon()` Returns the icon that indicates unselected state of this `JIconicCheckBoxMenuItem`.
`boolean` | `isHideMenuOnMouseClick()` Indicates whether parent menu should be hidden after mouse click.
`void` | `setHideMenuOnMouseClick(boolean hideMenuOnMouseClick)` Specifies whether parent menu should be hidden after mouse click.
`void` | `setSelectedStateIcon(javax.swing.Icon selectedStateIcon)` Specifies the icon that indicates selected state of this `JIconicCheckBoxMenuItem`.
`void` | `setState(boolean b)` Sets the selected-state of the item.
`void` | `setUnselectedStateIcon(javax.swing.Icon unselectedStateIcon)` Specifies the icon that indicates unselected state of this `JIconicCheckBoxMenuItem`.

Methods inherited from class javax.swing.JMenuItem
`addMenuDragMouseListener, addMenuKeyListener, configurePropertiesFromAction, createActionPropertyChangeListener, fireMenuDragMouseDragged, fireMenuDragMouseEntered, fireMenuDragMouseExited, fireMenuDragMouseReleased, fireMenuKeyPressed, fireMenuKeyReleased, fireMenuKeyTyped, getAccelerator, getAccessibleContext, getComponent, getMenuDragMouseListeners, getMenuKeyListeners, getSubElements, getUIClassID, init, isArmed, menuSelectionChanged, paramString, processKeyEvent, processMenuDragMouseEvent, processMenuKeyEvent, processMouseEvent, removeMenuDragMouseListener, removeMenuKeyListener, setAccelerator, setArmed, setEnabled, setUI, updateUI`

Methods inherited from class javax.swing.AbstractButton
`addActionListener, addChangeListener, addItemListener, checkHorizontalKey, checkVerticalKey, createActionListener, createChangeListener, createItemListener, doClick, doClick, fireActionPerformed, fireItemStateChanged, fireStateChanged, getAction, getActionCommand, getActionListeners, getChangeListeners, getDisabledIcon, getDisabledSelectedIcon, getDisplayedMnemonicIndex, getHorizontalAlignment, getHorizontalTextPosition, getIcon, getIconTextGap, getItemListeners, getLabel, getMargin, getMnemonic, getModel, getMultiClickThreshhold, getPressedIcon, getRolloverIcon, getRolloverSelectedIcon, getSelectedIcon, getText, getUI, getVerticalAlignment, getVerticalTextPosition, imageUpdate, isBorderPainted, isContentAreaFilled, isFocusPainted, isRolloverEnabled, isSelected, paintBorder, removeActionListener, removeChangeListener, removeItemListener, setAction, setActionCommand, setBorderPainted, setContentAreaFilled, setDisabledIcon, setDisabledSelectedIcon, setDisplayedMnemonicIndex, setFocusPainted, setHorizontalAlignment, setHorizontalTextPosition, setIcon, setIconTextGap, setLabel, setMargin, setMnemonic, setMnemonic, setModel, setMultiClickThreshhold, setPressedIcon, setRolloverEnabled, setRolloverIcon, setRolloverSelectedIcon, setSelected, setSelectedIcon, setText, setUI, setVerticalAlignment, setVerticalTextPosition`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JIconicCheckBoxMenuItem

    public JIconicCheckBoxMenuItem()

  Creates an initially unselected check box menu item with no set text. Selection state indicates using default selected and unselected icons.

See Also:
  `setSelectedStateIcon(javax.swing.Icon)`, `setUnselectedStateIcon(javax.swing.Icon)`

### JIconicCheckBoxMenuItem

    public JIconicCheckBoxMenuItem(java.lang.String text)

  Creates an initially unselected check box menu item with text. Selection state indicates using default selected and unselected icons.

Parameters:
  `text` - the text of the `JIconicCheckBoxMenuItem`
See Also:
  `setSelectedStateIcon(javax.swing.Icon)`, `setUnselectedStateIcon(javax.swing.Icon)`

### JIconicCheckBoxMenuItem

    public JIconicCheckBoxMenuItem(javax.swing.Action a)

  Creates a menu item whose properties are taken from the Action supplied. Selection state indicates using default selected and unselected icons.

Parameters:
  `a` - the `Action` for the `JIconicCheckBoxMenuItem`
See Also:
  `setSelectedStateIcon(javax.swing.Icon)`, `setUnselectedStateIcon(javax.swing.Icon)`

### JIconicCheckBoxMenuItem

    public JIconicCheckBoxMenuItem(java.lang.String text,
                                   javax.swing.Icon selectedIcon,
                                   javax.swing.Icon unselectedIcon)

  Creates an initially unselected check box menu item with the specified text, selected and unselected icons.

Parameters:
  `text` - the text of the `JIconicCheckBoxMenuItem`
  `selectedIcon` - the icon for selected state of the `JIconicCheckBoxMenuItem`
  `unselectedIcon` - the icon for unselected state of the `JIconicCheckBoxMenuItem`
See Also:
  `setSelectedStateIcon(javax.swing.Icon)`, `setUnselectedStateIcon(javax.swing.Icon)`

### JIconicCheckBoxMenuItem

    public JIconicCheckBoxMenuItem(java.lang.String text,
                                   boolean b)

  Creates a check box menu item with the specified text and selection state.

Parameters:
  `text` - the text of the `JIconicCheckBoxMenuItem`
  `b` - the selected state of the `JIconicCheckBoxMenuItem`
See Also:
  `setSelectedStateIcon(javax.swing.Icon)`, `setUnselectedStateIcon(javax.swing.Icon)`

### JIconicCheckBoxMenuItem

    public JIconicCheckBoxMenuItem(java.lang.String text,
                                   javax.swing.Icon selectedIcon,
                                   javax.swing.Icon unselectedIcon,
                                   boolean b)

  Creates a check box menu item with the specified text, selected and unselected icons and selection state.

Parameters:
  `text` - the text of the `JIconicCheckBoxMenuItem`
  `selectedIcon` - the icon for selected state of the `JIconicCheckBoxMenuItem`
  `unselectedIcon` - the icon for unselected state of the `JIconicCheckBoxMenuItem`
  `b` - the selected state of the `JIconicCheckBoxMenuItem`
See Also:
  `setSelectedStateIcon(javax.swing.Icon)`, `setUnselectedStateIcon(javax.swing.Icon)`

Method Detail

### getSelectedStateIcon

    public javax.swing.Icon getSelectedStateIcon()

  Returns the icon that indicates selected state of this `JIconicCheckBoxMenuItem`.

  Returns:
    the icon that indicates selected state of this `JIconicCheckBoxMenuItem`.

### setSelectedStateIcon

    public void setSelectedStateIcon(javax.swing.Icon selectedStateIcon)

  Specifies the icon that indicates selected state of this `JIconicCheckBoxMenuItem`.

  Parameters:
    `selectedStateIcon` - the icon that indicates selected state of this `JIconicCheckBoxMenuItem`

### getUnselectedStateIcon

    public javax.swing.Icon getUnselectedStateIcon()

  Returns the icon that indicates unselected state of this `JIconicCheckBoxMenuItem`.

  Returns:
    the icon that indicates unselected state of this `JIconicCheckBoxMenuItem`.

### setUnselectedStateIcon

    public void setUnselectedStateIcon(javax.swing.Icon unselectedStateIcon)

  Specifies the icon that indicates unselected state of this `JIconicCheckBoxMenuItem`.

  Parameters:
    `unselectedStateIcon` - the icon that indicates unselected state of this `JIconicCheckBoxMenuItem`

### isHideMenuOnMouseClick

    public boolean isHideMenuOnMouseClick()

  Indicates whether parent menu should be hidden after mouse click. The default is `false`.

  Returns:
    `true` if parent menu should be hidden after mouse click, `false` otherwise.

### setHideMenuOnMouseClick

    public void setHideMenuOnMouseClick(boolean hideMenuOnMouseClick)

  Specifies whether parent menu should be hidden after mouse click. The default is `false`.

  Parameters:
    `hideMenuOnMouseClick` - `true` if parent menu should be hidden after mouse click, `false` otherwise.

### getState

    public boolean getState()

  Returns the selected-state of the item. This method exists for AWT compatibility only. New code should use isSelected() instead.

  Returns:
    true if the item is selected

### setState

    public void setState(boolean b)

  Sets the selected-state of the item. This method exists for AWT compatibility only. New code should use setSelected() instead.

  Parameters:
    `b` - a boolean value indicating the item's selected-state, where true=selected

### getSelectedObjects

    public java.lang.Object[] getSelectedObjects()

  Returns an array (length 1) containing the check box menu item label or null if the check box is not selected.

  Specified by:
    `getSelectedObjects` in interface `java.awt.ItemSelectable`
  Overrides:
    `getSelectedObjects` in class `javax.swing.AbstractButton`
  Returns:
    an array containing one Object -- the text of the menu item -- if the item is selected; otherwise null

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2006 Smardec. All Rights Reserved.